
Figure - Bug #115174
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111050 (New): AF-V2.0-Launcher/SystemUI-桌面管理

【AF】【EVT2】【桌面管理】重复从多任务管理器启动应用小窗后，桌面dock栏位置整体向左移动【2/5】
2023-01-09 14:33 - CD Test赵飞

Status: CLOSED Start date: 2023-01-09

Priority: Normal Due date: 2023-01-13

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-01-17

Test Type: ST Root cause: Hotseat的锚点发生修改，导致从更多小窗应用列表中启动时的缩放会产生位移的效果

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入多任务管理

2、在小窗应用列表中启动一个小窗应用

3、重复步骤1~2

【预期结果】

3、桌面dock栏显示正常

【实际结果】

3、桌面dock栏位置整体向左移动

History

#1 - 2023-01-09 14:33 - CD Test赵飞

- Category set to CD-APP

#2 - 2023-01-10 15:06 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-01-11 16:35 - CD APP-王营

- Due date set to 2023-01-13

#4 - 2023-01-13 10:32 - CD APP-王宏

■ Current conclusion

已查找到问题原因

■ My analysis

根据hotseat内打印日志
发现PivotX 发生了较大改变，导致缩放过后会产生明显的位置变化，最终排查到
WorkspaceRevealAnim$WorkspaceRevealAnim{

        Workspace workspace = launcher.getWorkspace();

        //这里设置setPivotX  的算法有问题

        workspace.setPivotToScaleWithSelf(launcher.getHotseat());

}

■ Next action

修改算法，并做好代码提交

#5 - 2023-01-17 17:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177172 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Fix hotshot UI display exception1. Enter recnet2. Open more applications from the small window list to open the small window3. There is a certain

chance to display abnormalitiesTC-RID: 1201-0205303IssueID: TS-R-BUG-115174Change-Id: I0d12d9345ca20cf95781876bc5256c2c4fcadd68

#6 - 2023-01-17 17:13 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-01-17

- Root cause set to Hotseat的锚点发生修改，导致从更多小窗应用列表中启动时的缩放会产生位移的效果

#7 - 2023-01-31 18:40 - CD Test赵飞

- % Done changed from 100 to 70

1月31号release版本未复现

概率问题，继续跟踪2个版本

#8 - 2023-02-01 17:34 - CD Test赵飞

2月1号DB版本未复现

概率问题，继续跟踪1个版本

#9 - 2023-02-03 10:45 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

2月3号DB版本未复现

关闭此问题
#10 - 2023-02-03 10:46 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

Files

logcat.txt 3.02 MB 2023-01-09 CD Test赵飞

screenshot.png 390 KB 2023-01-09 CD Test赵飞

正常情况.png 401 KB 2023-01-09 CD Test赵飞
